# Uses of Interface
org.eclipse.birt.report.engine.api.script.element.IList

Packages that use IList
Package
Description
org.eclipse.birt.report.engine.api.script.element
Report element representations in the BIRT scripting environment.
org.eclipse.birt.report.engine.api.script.eventadapter
This package contains adapters for the event handler interfaces in org.eclipse.birt.report.engine.api.script.eventhandler.
org.eclipse.birt.report.engine.api.script.eventhandler
This package contains event handler interfaces for the BIRT scripting environment.

## Uses of IList in org.eclipse.birt.report.engine.api.script.element

Methods in org.eclipse.birt.report.engine.api.script.element that return IList
Modifier and Type
Method
Description
`IList`
IReportDesign.`getList(String name)`
method to get a list item by name

## Uses of IList in org.eclipse.birt.report.engine.api.script.eventadapter

Methods in org.eclipse.birt.report.engine.api.script.eventadapter with parameters of type IList
Modifier and Type
Method
Description
`void`
ListEventAdapter.`onPrepare(IList listHandle, IReportContext reportContext)`

## Uses of IList in org.eclipse.birt.report.engine.api.script.eventhandler

Methods in org.eclipse.birt.report.engine.api.script.eventhandler with parameters of type IList
Modifier and Type
Method
Description
`void`
IListEventHandler.`onPrepare(IList listHandle, IReportContext reportContext)`
Handle the onPrepare event